Subject: bug#9599: 24.0.50; xbacktrace very slow

From: Richard Stallman <[email-masked]>
Date: Sun, 25 Sep 2011 13:34:16 -0400

xbacktrace has become amazingly slow.
It takes seconds per frame.
It used to be quite fast.

I can't see anything in .gdbinit that would explain the slowness.
I doubt it is GDB's fault, since my GDB executable was compiled in 2008
and it is unlikely I have not run xbacktrace since then.

In GNU Emacs 24.0.50.4 (mips64el-unknown-linux-gnu, GTK+ Version 2.12.12)
 of 2011-09-22 on theobromine2
configured using `configure  'CFLAGS=-g -O1''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Help

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
! N I L P SPC ( v a l ) RET TAB & & SPC C-n C-e SPC 
= = SPC ' SPC ' _ DEL ) RET TAB r e t u r n SPC Q n 
i l ; RET TAB r e u DEL t u r n SPC v a l ; C-n C-a 
C-k C-k } C-a C-u C-p C-p C-o TAB ; DEL / * SPC D o 
n ' t SPC r e t y r n SPC C-u C-b C-d u C-e a n SPC 
i n t e r n a l SPC b u f f e r SPC i f SPC u s e r 
SPC d i d n ' t SPC e n t e r SPC t h e SPC s p a c 
e . SPC SPC * / C-u C-v C-u C-v C-u C-v C-u C-v C-u 
C-v C-x C-s ESC b ESC b ESC b ESC b ESC b ESC b ESC 
b ESC v ESC v ESC v ESC v ESC v C-v C-v C-v C-h v c 
o m p l e t i o n - r e g TAB RET C-x 0 C-x b RET ESC 
< C-s F a l l C-w C-s C-s C-x C-f ESC DEL l i s p / 
c o m p TAB l TAB RET C-x 1 C-v C-v C-v C-v C-v C-v 
C-v C-v C-v C-v C-v C-v C-v C-h f c o m p l e i DEL 
t i o n - t r y - c o m p l e t i o n RET C-x o ESC 
x r e p o r t SPC e m a c s SPC b u g RET

Recent messages:
mouse-2, RET: find function's definition [2 times]
Quit [2 times]
mouse-2, RET: find function's definition
Mark set [2 times]
Auto-saving...done
Saving file /home/rms/emacs-bzr/trunk/src/minibuf.c...
Wrote /home/rms/emacs-bzr/trunk/src/minibuf.c
Mark set
Mark saved where search started
Making completion list...

Load-path shadows:
None found.

Features:
(pp shadow emacsbug compare-w log-view parse-time mule-util quail
ispell speedbar sb-image ezimage dframe assoc ind-util edmacro kmacro
dired-aux rmailout sgml-mode ansi-color shell pcomplete grep qp
dabbrev newcomment warnings cl byte-opt compile comint bytecomp
byte-compile cconv macroexp find-func help-mode view help-fns cc-mode
cc-fonts cc-guess cc-bytecomp cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs whitespace diff-mode log-edit easy-mmode
ring pcvs-util vc-sccs vc-svn vc-cvs vc-rcs vc-dir ewoc vc ediff-merg
ediff-diff ediff-wind ediff-help ediff-util ediff-mult ediff-init
ediff vc-dispatcher add-log multi-isearch vc-bzr mailalias rmailmm
message sendmail format-spec rfc822 mml easymenu mml-sec mm-decode
mm-bodies mm-encode mailabbrev gmm-utils mailheader mail-parse rfc2231
rmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils dired
regexp-opt t-mouse time-date battery paren cus-start cus-load tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image fringe lisp-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use free telephony http://directory.fsf.org/category/tel/